<?php


  if( $Debug == 1 ){
    echo "View Promos Usuario";
  }

  $FechaHoy       = date('Y-m-d H:i:s');

  $debugin        = $decoded['debug'];
  $usr_id         = $decoded['usr_id'];
  $fecha_desde    = $decoded['fecha_desde'];
  $fecha_hasta    = $decoded['fecha_hasta'];
  $fechahoy       = date('Y-m-d');

  if( $debugin == 1 ){

    echo "Debug-in\n";
    echo $usr_id."\n";
    echo $tie_id."\n";

  }

  $WHERE = "
    WHERE ped.fk_usuario_app = '$usr_id'
  ";

  if( $fecha_desde && $fecha_hasta ){
    $fecha_desde = $fecha_desde.' 00:00:00';
    $fecha_hasta = $fecha_hasta.' 23:59:59';
    $WHERE .= "
      AND (ped.fecha BETWEEN '$fecha_desde' AND '$fecha_hasta')
    ";
  }

  //Pedidos
  $Query = "
    SELECT
      ped.id,
      ped.fecha, ped.nombre,
      ped.cantidad, ped.entregado, ped.cancelado,
      ped.fk_tienda
    FROM promociones_pedidos ped
    $WHERE
    ORDER BY ped.id DESC
  ";
  $Peds = $mysqli->query($Query);
  mysqli_data_seek($Peds, 0);
  if( $Peds->num_rows >= 1 ){
    while($Ped = mysqli_fetch_array($Peds)) {

      $FechaPedido =  date('Y-m-d', strtotime($Ped[fecha]));

      //Tienda
      $Query = "
        SELECT
          tie.id, tie.nombre
        FROM tiendas tie
        WHERE
          tie.Id = '$Ped[fk_tienda]'
      ";
      $Result = mysqli_query($mysqli, $Query);
      $Tienda = mysqli_fetch_assoc($Result);

      $Pedidos[] = array(
        'id'              => $Ped[id],
        'fecha'           => $FechaPedido,
        'promo'           => $Ped[nombre],
        'cantidad'        => $Ped[cantidad],
        'entregado'       => $Ped[entregado],
        'cancelado'       => $Ped[cancelado],
        'tienda_id'       => $Tienda[id],
        'tienda'          => $Tienda[nombre]
      );

    }

    $Data = array(
      'pedidos'   => $Pedidos
    );
    echo json_encode($Data, JSON_UNESCAPED_SLASHES | JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

  }else{

    $Data = array(
      'pedidos'   => ''
    );
    echo json_encode($Data, JSON_UNESCAPED_SLASHES | JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

  }
  //End Pedidos

?>
